local packet = assert( require 'shared.packet' )
local ipString = assert( require 'shared.ipstring' )
local utf8 = assert( require 'utf8' )
local r = math.random
local rand = function() return r( 1, 255 ) end
local rs = function()
  local t = {}
  for i = 1, r( 0, 64 ) do t[i] = rand() end
  return string.char( unpack( t ) )
end
local rutf8 = function()
  local t = {}
  for i = 1, r( 1, 16 ) do t[i] = r( 0x40, 0x70 ) end

  local s = utf8.char( unpack( t ) )
  return s
end
local randserver = function()
  local str = rutf8
  return packet.serverInfo{
      players = rand(),
      capacity = rand(),
      ip = ipString.new{ rand(), rand(), rand(), rand() },
      port = r( 1, 65535 ),
      version = 25,
      svname = str(),
      map = str(),
    }
end

return {

  --Simulate getting server info from the metaserver.
  getTestServers = function()
    packet.get()
    for i = 1, r( 1, 125 ) do randserver() end
    return packet.deserialise( packet.get() )
  end
}