local _print = print
local lfs = assert( love.filesystem )
local log = assert( lfs.newFile( ("log_%04d.txt"):format( os.time() % 1000 )))
assert( log:open 'a', "Could not open log file!" )
return function( ... )
  
  log:write( os.date("!%M%S") )
  for i, v in ipairs{...} do
    log:write("\t")
    log:write(tostring(v))
  end
  log:write("\n")
  
  return _print( ... )
end