print( "Loading Shared." )
local shared = {}

--[[do
  local rq = require
  require = function( ... )
    print( "Require:", ... )
    return rq( ... )
  end
end]]
shared.hash = assert( require 'shared.hash' )
shared.ip = assert( require 'shared.ipstring' )
shared.packet = assert( require 'shared.packet' )
shared.print = assert( require 'shared.print' )
shared.metaserver = assert( require 'shared.metaserver' )
shared.myip = assert( require 'shared.getip' )

--Turn on logging?
print = shared.print
print( "My IP: ", shared.myip )

--World state.
local world = {}
function world:Advance()
  
end

function world:Reset()
  
end

function world:Load( map )
  
end

function world:AddPlayer( playerID, x, y, stage )
  
end

function world:RemovePlayer( playerID )
  
end

function shared.NewWorld()
  return setmetatable( {}, {__index = world } )
end

return shared